%define realname    django-haystack
%define name        python-%{realname}
%define version     2.1.0
%define release     %mkrel 3

Name: %{name}
Version: %{version}
Release: %{release}
Summary:        Django module for modular search
Group:          Development/Python
License:        BSD
URL:            http://haystacksearch.org/
Source:         https://pypi.python.org/packages/source/d/%{realname}/%{realname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel 
BuildRequires:  python-setuptools
Requires:       python-django

%description
Search doesn't have to be hard. Haystack lets you write your search code once 
and choose the search engine you want it to run on. With a familiar API that 
should make any Djangonaut feel right at home and an architecture that allows 
you to swap things in and out as you need to, it's how search ought to be.

%package -n python3-%{realname}
Summary:        Django module for modular search
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python-django

%description -n python3-%{realname}
Search doesn't have to be hard. Haystack lets you write your search code once 
and choose the search engine you want it to run on. With a familiar API that 
should make any Djangonaut feel right at home and an architecture that allows 
you to swap things in and out as you need to, it's how search ought to be.

%prep
%setup -q -n %{realname}-%{version}
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install -O1 --root %{buildroot} --skip-build

pushd %{py3dir} 
%{__python3} setup.py install -O1 --root=%{buildroot} --skip-build
popd

%files
%{python_sitelib}/*

%files -n python3-%{realname}
%{python3_sitelib}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.1.0-3.mga4
+ Revision: 543377
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1.0-2.mga4
+ Revision: 498371
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 nmartin <nmartin> 2.1.0-1.mga4
+ Revision: 494909
- Add python3 support
- Update to new version 2.1.0

* Sun Jan 13 2013 umeabot <umeabot> 1.2.4-2.mga3
+ Revision: 378675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 16 2011 misc <misc> 1.2.4-1.mga2
+ Revision: 124818
- add description
- imported package python-django-haystack

